<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <title>Dialer</title>

    <!-- Localization -->
    <link rel="resource" type="application/l10n" href="/dialer/locales/locales.ini">
    <link rel="resource" type="application/l10n" href="/contacts/locales/locales.ini">
    <link rel="resource" type="application/l10n" href="/shared/locales/date.ini">
    <link rel="resource" type="application/l10n" href="/shared/locales/sim_picker.ini">
    <link rel="resource" type="application/l10n" href="/shared/locales/voicemail.ini">

    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="/shared/style/animations.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/dialer/dialer.css">
    <link rel="stylesheet" type="text/css" href="style/toolbar.css">

    <link rel="stylesheet" type="text/css" href="/shared/style/dialer/keypad.css">
    <link rel="stylesheet" type="text/css" href="/dialer/style/suggestion.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/dialer/overlay.css">

    <link rel="stylesheet" type="text/css" href="/shared/style/tabs.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/sim_picker.css">

    <!-- JS -->
    <script defer src="/shared/js/lazy_loader.js"></script>
    <script defer src="/shared/js/font_size_utils.js"></script>
    <script defer src="/shared/js/lazy_l10n.js"></script>
    <script defer src="/dialer/js/index.js"></script>

    <script defer src="/shared/js/dialer/utils.js"></script>
    <script defer src="/shared/js/dialer/tone_player.js"></script>
    <script defer src="/shared/js/dialer/keypad.js"></script>
    <script defer src="/shared/js/dialer/font_size_manager.js"></script>

    <script defer src="/dialer/js/dialer.js"></script>
    <script defer src="/dialer/js/call_log_db.js"></script>
    <script defer src="/shared/js/multi_sim_action_button.js"></script>

    <!-- for perf-measurement related utilities -->
    <script defer src='/shared/js/performance_testing_helper.js'></script>

    <!-- Lazy load all the things:
    <link rel="stylesheet" type="text/css" href="/shared/style/action_menu.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/confirm.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/edit_mode.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/headers.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/switches.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/lists.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/progress_activity.css">
    <link rel="stylesheet" type="text/css" href="/shared/style/input_areas.css">
    <link rel="stylesheet" type="text/css" href="/dialer/style/mmi.css">
    <script defer src="/shared/js/accessibility_helper.js"></script>
    <script defer src="/shared/js/async_storage.js"></script>
    <script defer src="/shared/js/l10n.js"></script>
    <script defer src="/shared/js/l10n_date.js"></script>
    <script defer src="/shared/js/mobile_operator.js"></script>
    <script defer src="/shared/js/notification_helper.js"></script>
    <script defer src="/shared/js/sim_picker.js"></script>
    <script defer src="/shared/js/simple_phone_matcher.js"></script>
    <script defer src="/shared/js/settings_listener.js"></script>
    <script defer src="/shared/js/confirm.js"></script>
    <script defer src="/shared/js/fb/fb_request.js"></script>
    <script defer src="/shared/js/fb/fb_data_reader.js"></script>
    <script defer src="/shared/js/fb/fb_reader_utils.js"></script>
    <script defer src="/shared/js/fb/fb_tel_index.js"></script>
    <script defer src="/shared/js/binary_search.js"></script>
    <script defer src="/shared/js/sticky_header.js"></script>
    <script defer src="/shared/js/sim_settings_helper.js"></script>
    <script defer src="/shared/js/dialer/voicemail.js"></script>
    <script defer src="/shared/js/dialer/contacts.js"></script>
    <script defer src="/shared/js/custom_dialog.js"></script>
    <script defer src="/dialer/js/contact_data_manager.js"></script>
    <script defer src="/dialer/js/suggestion_bar.js"></script>
    <script defer src="/dialer/js/telephony_helper.js"></script>
    <script defer src="/dialer/js/mmi.js"></script>
    <script defer src="/dialer/js/mmi_ui.js"></script>
    <script defer src="/shared/js/icc_helper.js"></script>
    <link rel="resource" type="application/json" href="shared/resources/media/tones/"/>
    -->

    <link rel="import" href="elements/edit-mode.html">
    <link rel="import" href="elements/suggestion-item.html">
    <link rel="import" href="elements/suggestion-overlay.html">
    <link rel="import" href="elements/add-contact-action-menu.html">
    <link rel="import" href="elements/confirmation-message.html">
    <link rel="import" href="/shared/elements/sim_picker.html">
  </head>
  <body role="application" class="skin-comms">
    <section id="views" role="tablist" class="bb-tablist">
      <li role="presentation" class="view hidden" id="call-log-view">
        <a id="option-recents" role="tab" aria-controls="recents-panel" href="#call-log-view" class="icon icon-recents" data-l10n-id="recents" aria-selected="false"></a>
        <div id="recents-panel" role="tabpanel" class="bb-tabpanel" aria-labelledby="option-recents">
          <section role="region">
            <header class="view-header regular-header">
              <menu type="toolbar">
                <a id="call-log-icon-edit" data-l10n-id="callLogEdit" disabled aria-disabled="true">
                  <span id="call-log-edit-button" class="recents-icon icon icon-edit "></span>
                </a>
              </menu>
              <h1 data-l10n-id="callLog"></h1>
            </header>
            <nav id="call-log-filter" class="recents-filter-container">
              <ul role="tablist" class="bb-tablist" data-type="filter" aria-controls="call-log-container">
                <li id="all-filter" role="presentation"><a id="all-filter-tab" role="tab" aria-selected="true" data-action="all" data-l10n-id="all"></a></li>
                <li id="missed-filter" role="presentation"><a id="missed-filter-tab" role="tab" aria-selected="false" data-action="missed" data-l10n-id="missed"></a></li>
              </ul>
            </nav>
            <div class="view-body">
              <article id="call-log-container" role="tabpanel" class="view-body-inner active" data-type="list">
                <div id="no-result-container" hidden>
                  <div id="no-result-message">
                    <p id="no-result-msg1" data-l10n-id="no-logs-msg-1"></p>
                    <p id="no-result-msg2" data-l10n-id="no-logs-msg-2"></p>
                    <p id="no-result-msg3" data-l10n-id="no-logs-msg-3" hidden></p>
                  </div>
                </div>
              </article>
              <div id="sticky"></div>
            </div>
          </section>
        </div>
        <form role="dialog" data-type="confirm" id="call-log-upgrading" class="hide">
          <section>
            <div role="status">
              <span id="call-log-upgrade-percent" class="loading-header">0%</span>
              <progress id="call-log-upgrade-progress" class="pack-activity" value="0" max="100"></progress>
            </div>
          </section>
        </form>
      </li>
      <li role="presentation" class="view" id="contacts-view">
        <a id="option-contacts" role="tab" aria-controls="iframe-contacts-container" href="#contacts-view" class="icon icon-contacts" data-l10n-id="contacts" aria-selected="false"></a>
        <div id="iframe-contacts-container" role="tabpanel" class="bb-tabpanel" aria-labelledby="option-contacts">
        </div>
      </li>
      <li role="presentation" id="keyboard-view">
        <a id="option-keypad" role="tab" aria-controls="keypad-panel" href="#keyboard-view" class="icon icon-keypad" data-l10n-id="keypad" aria-selected="true"></a>
        <div id="keypad-panel" role="tabpanel" class="bb-tabpanel" aria-labelledby="option-keypad">
          <div id="phone-number-view-container">
            <div class="phone-number-view-wrapper-input">
              <input id="phone-number-view" type="text" class="phone-number-font font-light" readonly="readonly" data-l10n-id="phoneNumberInput">
              <div id="fake-phone-number-view" class="phone-number-font font-light"></div>
            </div>
            <button id="keypad-delete" class="reset-button" data-value="delete" data-l10n-id="keypadDelete">
            </button>
          </div>
          <section id="suggestion-bar" class="suggestion-bar" aria-hidden="true" hidden>
            <div role="button" is="suggestion-item" class="js-suggestion-item suggestion-item"></div>
            <div role="button" id="suggestion-count" class="suggestion-count more"></div>
          </section>
          <button role="button" is="suggestion-item" id="suggestion-item-template" class="js-suggestion-item suggestion-item" hidden></button>

          <article id="keyboard-container">
            <section id="keypad">
              <div class="keypad-row">
                <div class="keypad-key" role="key" data-value="1" data-voicemail="true">
                  <span>1</span>
                  <em class="keypad-subicon voicemail" data-l10n-id="voiceMailKey"></em>
                </div>
                <div class="keypad-key" role="key" data-value="2">
                  <span>2</span>
                  <em>ABC</em>
                </div>
                <div class="keypad-key" role="key" data-value="3">
                  <span>3</span>
                  <em>DEF</em>
                </div>
              </div>
              <div class="keypad-row">
                <div class="keypad-key" role="key" data-value="4">
                  <span>4</span>
                  <em>GHI</em>
                </div>
                <div class="keypad-key" role="key" data-value="5">
                  <span>5</span>
                  <em>JKL</em>
                </div>
                <div class="keypad-key" role="key" data-value="6">
                  <span>6</span>
                  <em>MNO</em>
                </div>
              </div>
              <div class="keypad-row">
                <div class="keypad-key" role="key" data-value="7">
                  <span>7</span>
                  <em>PQRS</em>
                </div>
                <div class="keypad-key" role="key" data-value="8">
                  <span>8</span>
                  <em>TUV</em>
                </div>
                <div class="keypad-key" role="key" data-value="9">
                  <span>9</span>
                  <em>WXYZ</em>
                </div>
              </div>
              <div class="keypad-row">
                <div class="keypad-key" role="key" data-value="*" data-l10n-id="asterisk">
                  <div class="asterisk">*</div>
                </div>
                <div class="keypad-key" role="key" data-value="0">
                  <span>0</span>
                  <em class="font-size-plus">+</em>
                </div>
                <div class="keypad-key" role="key" data-type="dial" data-value="#" data-l10n-id="hashSign">
                  <div class="sharp">#</div>
                </div>
              </div>
            </section>
            <section id="keypad-callbar">
              <button id="keypad-callbar-add-contact" data-value="add-contact" class="reset-button keypad-callbar-button icon-add-contact" data-l10n-id="dialerAddContact" disabled></button>
              <button id="keypad-callbar-call-action" class="reset-button" data-value="make-call" data-l10n-id="makeCall">
                <div class="js-sim-indication"></div>
              </button>
            </section>
          </article>
        </div>
      </li>
    </section>

    <form is="edit-mode" id="edit-mode" role="dialog" data-l10n-id="callLogEditDialog" data-type="edit" hidden></form>

    <form is="add-contact-action-menu" id="add-contact-action-menu" role="dialog" data-l10n-id="dialerAddContactDialog" data-type="action" hidden></form>

    <form is="sim-picker" id="sim-picker" role="dialog" data-type="action" hidden></form>

    <form is="confirmation-message" id="confirmation-message" class="hide no-opacity" role="dialog" data-type="confirm"></form>

    <form is="suggestion-overlay" id="suggestion-overlay" role="dialog" data-type="action" class="overlay" aria-hidden="true">
    </form>

    <article id="mmi-screen" role="region" hidden>
      <section role="region">
        <header>
          <button id="mmi-close"><span class="icon icon-close"> close </span></button>
          <menu type="toolbar">
            <button id="send" data-l10n-id="send" disabled> Send </button>
          </menu>
          <h1 id="header-title">USSD</h1>
        </header>
      </section>
      <section id="mmi-container" role="region">
        <div id="message">
        </div>
      </section>
      <form id="response" role="region">
        <p>
          <input id="response-text" type="text" data-l10n-id="type-your-response" placeholder="Type your selection..." dir="auto" required disabled>
          <button id="response-text-reset" type="reset" data-l10n-id="clear-all-text"> Clear-all-text </button>
        </p>
      </form>
    </article>

    <form data-type="confirm" role="dialog" id="loading-overlay" class="hide">
      <section>
        <h1 data-l10n-id="sending">Sending</h1>
        <p role="status">
          <progress class="pack-activity" value="0" max="100"></progress>
        </p>
      </section>
      <menu>
        <button class="full" id="cancel" data-l10n-id="cancel">Cancel</button>
      </menu>
    </form>
  </body>
</html>
